\ProvidesClass{hzguide}[2012/03/14]

\RequirePackage{xkeyval}
\RequirePackage{kvoptions}

\DeclareOptionX*{%
	\PassOptionsToClass{\CurrentOption}{memoir}%
	\PassOptionsToClass{showtrims}{memoir}}
\ProcessOptionsX
\LoadClass{memoir}

\define@key{hzguide}{language}{%
	\PassOptionsToPackage{\CurrentOption}{hzlang}}
\define@key{hzguide}{styleset}{\def\StyleSet{#1}}

\ProcessKeyvalOptions{hzguide}

%\ifxetex
\RequirePackage{hzlang}
%\fi
\RequirePackage{hzlayout}
\RequirePackage{hzillust}
\RequirePackage{hzstyle}
\RequirePackage{hzmisc}

\ifthenelse{\isundefined{\StyleSet}}{}{\input{\StyleSet}}
\endinput